ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vivek Sharma (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-21068) Kafka broker goes down after Ambari upgrade from 2.5.0 to 2.5.1 due to missing 'kafka.timeline.metrics.instanceId' property
Date Fri, 19 May 2017 07:45:04 GMT
Vivek Sharma created AMBARI-21068:
-------------------------------------

             Summary: Kafka broker goes down after Ambari upgrade from 2.5.0 to 2.5.1 due
to missing 'kafka.timeline.metrics.instanceId' property
                 Key: AMBARI-21068
                 URL: https://issues.apache.org/jira/browse/AMBARI-21068
             Project: Ambari
          Issue Type: Bug
          Components: ambari-upgrade
    Affects Versions: 2.5.1
            Reporter: Vivek Sharma
            Priority: Blocker
             Fix For: 2.5.1


STR:
1. Deploy HDP-2.6.0 cluster with Ambari-2.5.0.3
2. Upgrade Ambari to 2.5.1.0-130 (hash: e7745e411638405dd0a406305e1da222c6879daa)
3. Observed that Kafka broker went down

Kafka logs indicate:
{code}
[2017-05-19 03:42:17,105] FATAL  (kafka.Kafka$)
java.lang.IllegalArgumentException: requirement failed: Missing required property 'kafka.timeline.metrics.instanceId'
        at scala.Predef$.require(Predef.scala:233)
        at kafka.utils.VerifiableProperties.getString(VerifiableProperties.scala:177)
        at org.apache.hadoop.metrics2.sink.kafka.KafkaTimelineMetricsReporter.init(KafkaTimelineMetricsReporter.java:169)
        at kafka.metrics.KafkaMetricsReporter$$anonfun$startReporters$1.apply(KafkaMetricsReporter.scala:66)
        at kafka.metrics.KafkaMetricsReporter$$anonfun$startReporters$1.apply(KafkaMetricsReporter.scala:64)
        at scala.collection.IndexedSeqOptimized$class.foreach(IndexedSeqOptimized.scala:33)
        at scala.collection.mutable.WrappedArray.foreach(WrappedArray.scala:34)
        at kafka.metrics.KafkaMetricsReporter$.startReporters(KafkaMetricsReporter.scala:64)
        at kafka.server.KafkaServerStartable$.fromProps(KafkaServerStartable.scala:27)
        at kafka.Kafka$.main(Kafka.scala:58)
        at kafka.Kafka.main(Kafka.scala)
{code}

Did not see this property being added on ambari_upgrade_config_changes.json file



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message